/* TinyMCE plugin for WordPress Internal link plug-in.
   Details on creating TinyMCE plugins at
     http://wiki.moxiecode.com/index.php/TinyMCE:Create_plugin/3.x 
*/
(function() {
// Grab the text strings to be used by internallink TinyMCE button
tinymce.PluginManager.requireLangPack('internallink_plugin');

tinymce.create('tinymce.plugins.internallink_plugin', {
	getInfo : function() {
		return {
			longname : 'Internal link Support for Editor',
			author : 'Johan Ronstrm',
			authorurl : 'http://www.johanronstrom.se',
			infourl : 'http://www.johanronstrom.se',
			version : "0.6"
		};
	},

	init : function(ed, url) {
		ed.addButton('internallink_button', {
			title : 'internallink_plugin.insertbutton',
			image : url + '/../internallink.gif',
			onclick : function () {
				edInsertInternalLink();
			}
		});
	},

	createControl : function (n, cm) {
		return null;
	}

});

// Adds the plugin class to the list of available TinyMCE plugins
tinymce.PluginManager.add('internallink_plugin', tinymce.plugins.internallink_plugin);
})();
